## com.google.gwt.dom.client
Class ScriptElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.ScriptElement

    @TagName(value="script")
    public class ScriptElement

extends Element

Script statements.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `ScriptElement()`

Method Summary
`static ScriptElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getDefer()` Indicates that the user agent can defer processing of the script.
`java.lang.String` | `getSrc()` URI designating an external script.
`java.lang.String` | `getText()` The script content of the element.
`java.lang.String` | `getType()` The content type of the script language.
`void` | `setDefer(java.lang.String defer)` Indicates that the user agent can defer processing of the script.
`void` | `setSrc(java.lang.String src)` URI designating an external script.
`void` | `setText(java.lang.String text)` The script content of the element.
`void` | `setType(java.lang.String type)` The content type of the script language.

Methods inherited from class com.google.gwt.dom.client.Element

`as, as, dispatchEvent, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, is, is, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptElement

    protected ScriptElement()

Method Detail

### as

    public static ScriptElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getDefer

    public final java.lang.String getDefer()

  Indicates that the user agent can defer processing of the script.

  See Also:
    W3C HTML Specification

### getSrc

    public final java.lang.String getSrc()

  URI designating an external script.

  See Also:
    W3C HTML Specification

### getText

    public final java.lang.String getText()

  The script content of the element.

### getType

    public final java.lang.String getType()

  The content type of the script language.

  See Also:
    W3C HTML Specification

### setDefer

    public final void setDefer(java.lang.String defer)

  Indicates that the user agent can defer processing of the script.

  See Also:
    W3C HTML Specification

### setSrc

    public final void setSrc(java.lang.String src)

  URI designating an external script.

  See Also:
    W3C HTML Specification

### setText

    public final void setText(java.lang.String text)

  The script content of the element.

### setType

    public final void setType(java.lang.String type)

  The content type of the script language.

  See Also:
    W3C HTML Specification